Bug 187326 - devel/git Fails to Build on 10.0-RELEASE
devel/git Fails to Build on 10.0-RELEASE
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-06 20:30 UTC by Ryan Frederick
Modified: 2014-03-11 18:04 UTC (History)
0 users

See Also:


Attachments
patch-git (545 bytes, text/plain; charset=Shift_JIS)
2014-03-07 08:30 UTC, Yasuhiro KIMURA
no flags Details
git.patch (460 bytes, patch)
2014-03-07 09:42 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Frederick 2014-03-06 20:30:00 UTC
devel/git 1.9.0 fails to build on 10.0-RELEASE with the following error:

cc -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe -DLIBICONV_PLUG -fno-strict-aliasing -I. -I/usr/local/include -I/usr/local/include -I/usr/include -DUSE_ST_TIMESPEC -DOLD_ICONV -pthread -DHAVE_PATHS_H -DHAVE_LIBCHARSET_H -DHAVE_STRINGS_H -DSHA1_HEADER='<openssl/sha.h>'  -DFREAD_READS_DIRECTORIES -DUSE_WILDMATCH -DDIR_HAS_BSD_GROUP_SEMANTICS -DSHELL_PATH='"/bin/sh"' -o git-daemon -L/usr/local/lib -Wl,-rpath,/usr/lib:/usr/local/lib  -L/usr/local/lib daemon.o libgit.a xdiff/lib.a  -lz -lintl -L/usr/lib -Wl,-rpath,/usr/lib -lcrypto -pthread 
libgit.a(gettext.o): In function `git_setup_gettext':
gettext.c:(.text+0x43): undefined reference to `locale_charset'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[2]: *** [git-daemon] Error 1
gmake[2]: Leaving directory `/usr/ports/devel/git/work/git-1.9.0'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/devel/git
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/git
Comment 1 Edwin Groothuis freebsd_committer 2014-03-06 22:30:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yasuhiro KIMURA 2014-03-07 08:30:00 UTC
With attached patch build succeeds on 8.4-RELEASE, 9.2-RELEASE and
10.0-RELEASE. Using __FreeBSD_version is not elegant but anyway it works.
Comment 3 vvd 2014-03-07 08:49:49 UTC
For 10.0 in /usr/ports/devel/git/Makefile change line:
LDFLAGS+= -L${LOCALBASE}/lib
to
LDFLAGS+= -L${LOCALBASE}/lib -lcharset
Comment 4 Tijl Coosemans freebsd_committer 2014-03-07 09:42:07 UTC
Hi,

This patch prevents the detection of libcharset.h, so git will always
use the more standard nl_langinfo function from langinfo.h instead of
locale_charset.
Comment 5 Tijl Coosemans freebsd_committer 2014-03-10 08:32:44 UTC
State Changed
From-To: open->closed
Comment 6 Tijl Coosemans freebsd_committer 2014-03-10 08:33:21 UTC
State Changed
From-To: closed->open

Closed the wrong PR.
Comment 7 dfilter freebsd_committer 2014-03-11 17:59:00 UTC
Author: tijl
Date: Tue Mar 11 17:58:47 2014
New Revision: 347897
URL: http://svnweb.freebsd.org/changeset/ports/347897
QAT: https://qat.redports.org/buildarchive/r347897/

Log:
  Prevent detection of libcharset.h from converters/libiconv.
  
  This forces git to use nl_langinfo() from libc instead of locale_charset()
  from libiconv.  (The latter is practically an alias for the first.)
  
  PR:		ports/187326
  Approved by:	wxs (maintainer)

Modified:
  head/devel/git/Makefile

Modified: head/devel/git/Makefile
==============================================================================
--- head/devel/git/Makefile	Tue Mar 11 17:58:15 2014	(r347896)
+++ head/devel/git/Makefile	Tue Mar 11 17:58:47 2014	(r347897)
@@ -32,7 +32,7 @@ MAKE_ENV+=	V=1
 USE_OPENSSL=	yes
 USE_RC_SUBR=	git_daemon
 
-CONFIGURE_ARGS=	--enable-pthreads=-pthread
+CONFIGURE_ARGS=	--enable-pthreads=-pthread ac_cv_header_libcharset_h=no
 
 OPTIONS_DEFINE=	GUI SVN GITWEB CONTRIB P4 CVS HTMLDOCS PERL ICONV CURL \
 		ETCSHELLS NLS
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Tijl Coosemans freebsd_committer 2014-03-11 18:03:48 UTC
State Changed
From-To: open->closed

Fixed in r347897.